Bug 574217 - [abrt] crash in firefox-3.5.8-1.fc12: Process /usr/lib/firefox-3.5.8/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.8-1.fc12: Process /usr/lib/firefox-3.5.8/firefox ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:188739d42199040826a95c04387...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-16 17:20 EDT by Graham
Modified: 2010-09-10 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: cairo-1.10.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-10 23:31:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (68.02 KB, text/plain)
2010-03-16 17:20 EDT, Graham
no flags Details

  None (edit)
Description Graham 2010-03-16 17:20:55 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.8/firefox
comment: This happens fairly often, Not specific to a particular website.
component: firefox
executable: /usr/lib/firefox-3.5.8/firefox
kernel: 2.6.32.9-70.fc12.i686.PAE
package: firefox-3.5.8-1.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5.8/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Scrolling down web page in firefox
2.
3.
Comment 1 Graham 2010-03-16 17:20:58 EDT
Created attachment 400575 [details]
File: backtrace
Comment 2 Chris Campbell 2010-03-17 14:08:22 EDT
#3  <signal handler called>
No symbol table info available.
#4  _cairo_surface_set_clip (surface=0xa8dd80b0, clip=0xacc01454)
    at cairo-surface.c:2067
        serial = <value optimized out>
#5  0x005c3988 in _cairo_gstate_paint (gstate=0xacc013d0)
    at cairo-gstate.c:870
        status = <value optimized out>
        pattern = {base = {type = 49500, ref_count = {ref_count = 1265}, 
            status = 3219378456, user_data = {size = 3219378408, 
              num_elements = 0, element_size = 0, elements = 0x1, 
              is_snapshot = 0}, matrix = {xx = 5.3302451646225453e-315, 
              yx = 1.6296927674613291e-309, xy = 2.4456249469141704e-319, 
              yy = 1.5905842525932583e-314, x0 = 0, y0 = -0.619232177734375}, 
            filter = 3219378368, extend = CAIRO_EXTEND_NONE}, solid = {
            base = {type = 49500, ref_count = {ref_count = 1265}, 
              status = 3219378456, user_data = {size = 3219378408, 
                num_elements = 0, element_size = 0, elements = 0x1, 
                is_snapshot = 0}, matrix = {xx = 5.3302451646225453e-315, 
                yx = 1.6296927674613291e-309, xy = 2.4456249469141704e-319, 
                yy = 1.5905842525932583e-314, x0 = 0, 
                y0 = -0.619232177734375}, filter = 3219378368, 
              extend = CAIRO_EXTEND_NONE}, color = {
              red = 1.6105948053426417e-309, green = 2.4456249469141704e-319, 
              blue = 1.5905842763084093e-314, alpha = 0, red_short = 0, 
              green_short = 0, blue_short = 11239, alpha_short = 194}, 
            content = 3219378416}, surface = {base = {type = 49500, 
              ref_count = {ref_count = 1265}, status = 3219378456, 
              user_data = {size = 3219378408, num_elements = 0, 
                element_size = 0, elements = 0x1, is_snapshot = 0}, matrix = {
                xx = 5.3302451646225453e-315, yx = 1.6296927674613291e-309, 
                xy = 2.4456249469141704e-319, yy = 1.5905842525932583e-314, 
                x0 = 0, y0 = -0.619232177734375}, filter = 3219378368, 
              extend = CAIRO_EXTEND_NONE}, surface = 0x0}, gradient = {
            base = {base = {type = 49500, ref_count = {ref_count = 1265}, 
                status = 3219378456, user_data = {size = 3219378408, 
                  num_elements = 0, element_size = 0, elements = 0x1, 
                  is_snapshot = 0}, matrix = {xx = 5.3302451646225453e-315, 
                  yx = 1.6296927674613291e-309, xy = 2.4456249469141704e-319, 
                  yy = 1.5905842525932583e-314, x0 = 0, 
                  y0 = -0.619232177734375}, filter = 3219378368, 
                extend = CAIRO_EXTEND_NONE}, n_stops = 0, stops_size = 75900, 
              stops = 0xc15c, stops_embedded = {{
                  offset = -0.61925506591796875, color = {red = 0, green = 0, 
                    blue = -0.61925506733075231, 
                    alpha = 5.1479811133181584e-270, red_short = 92, 
                    green_short = 0, blue_short = 61152, 
                    alpha_short = 44179}}, {offset = 5.0342890673745802e-270, 
                  color = {red = 1.0134803988494472e-309, green = -0, 
                    blue = -0, alpha = 0, red_short = 1, green_short = 0, 
                    blue_short = 128, alpha_short = 0}}}}, linear = {base = {
                base = {type = 49500, ref_count = {ref_count = 1265}, 
                  status = 3219378456, user_data = {size = 3219378408, 
                    num_elements = 0, element_size = 0, elements = 0x1, 
                    is_snapshot = 0}, matrix = {xx = 5.3302451646225453e-315, 
                    yx = 1.6296927674613291e-309, 
                    xy = 2.4456249469141704e-319, 
                    yy = 1.5905842525932583e-314, x0 = 0, 
                    y0 = -0.619232177734375}, filter = 3219378368, 
                  extend = CAIRO_EXTEND_NONE}, n_stops = 0, 
                stops_size = 75900, stops = 0xc15c, stops_embedded = {{
                    offset = -0.61925506591796875, color = {red = 0, 
                      green = 0, blue = -0.61925506733075231, 
                      alpha = 5.1479811133181584e-270, red_short = 92, 
                      green_short = 0, blue_short = 61152, 
                      alpha_short = 44179}}, {
                    offset = 5.0342890673745802e-270, color = {
                      red = 1.0134803988494472e-309, green = -0, blue = -0, 
                      alpha = 0, red_short = 1, green_short = 0, 
                      blue_short = 128, alpha_short = 0}}}}, p1 = {x = 96, 
                y = -1216614336}, p2 = {x = 0, y = 0}}, radial = {base = {
                base = {type = 49500, ref_count = {ref_count = 1265}, 
                  status = 3219378456, user_data = {size = 3219378408, 
                    num_elements = 0, element_size = 0, elements = 0x1, 
                    is_snapshot = 0}, matrix = {xx = 5.3302451646225453e-315, 
                    yx = 1.6296927674613291e-309, 
                    xy = 2.4456249469141704e-319, 
                    yy = 1.5905842525932583e-314, x0 = 0, 
                    y0 = -0.619232177734375}, filter = 3219378368, 
                  extend = CAIRO_EXTEND_NONE}, n_stops = 0, 
                stops_size = 75900, stops = 0xc15c, stops_embedded = {{
                    offset = -0.61925506591796875, color = {red = 0, 
                      green = 0, blue = -0.61925506733075231, 
                      alpha = 5.1479811133181584e-270, red_short = 92, 
                      green_short = 0, blue_short = 61152, 
                      alpha_short = 44179}}, {
                    offset = 5.0342890673745802e-270, color = {
                      red = 1.0134803988494472e-309, green = -0, blue = -0, 
                      alpha = 0, red_short = 1, green_short = 0, 
                      blue_short = 128, alpha_short = 0}}}}, c1 = {x = 96, 
                y = -1216614336}, r1 = 0, c2 = {x = 0, y = 134563211}, 
              r2 = 6114600}}}
#6  0x005bcffb in cairo_paint (cr=0xac957000) at cairo.c:1947
        status = <value optimized out>
#7  0x005bd0d2 in cairo_paint_with_alpha (cr=0xac957000, alpha=1)
    at cairo.c:1975
        status = <value optimized out>
        color = {red = 1, green = -0, blue = -0, 
          alpha = 1.4619748701647091e-314, red_short = 53896, 
          green_short = 49123, blue_short = 16196, alpha_short = 1936}
        pattern = {base = {type = 2895376096, ref_count = {
              ref_count = -1075588632}, status = 6021620, user_data = {
              size = 2898269136, num_elements = 2895376096, element_size = 0, 
              elements = 0x62f3ac, is_snapshot = -1399492608}, matrix = {
              xx = -0.61944230753530505, yx = -5.9725023135226335e-94, 
              xy = -1.4305058608235471e-314, yy = -0, 
              x0 = -0.61939622301493191, y0 = 1.4403046608249913e-314}, 
            filter = CAIRO_FILTER_FAST, extend = 2915209088}, color = {
            red = -0.61940798233136007, green = -0.61941909790039062, 
            blue = 5.8360403636738314e-316, alpha = 5.2998088236266445e-315, 
            red_short = 0, green_short = 0, blue_short = 0, alpha_short = 0}, 
          content = 0}
#8  0x0710e246 in gfxContext::Paint (this=0xaca16390, alpha=1)
    at gfxContext.cpp:723
No locals.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-03-19 20:37:28 EDT
Issue in cairo



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora Admin XMLRPC Client 2010-06-17 11:24:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2010-09-07 20:07:35 EDT
cairo-1.10.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cairo-1.10.0-1.fc14
Comment 6 Fedora Update System 2010-09-07 23:17:40 EDT
cairo-1.10.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cairo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cairo-1.10.0-1.fc14
Comment 7 Fedora Update System 2010-09-10 23:31:27 EDT
cairo-1.10.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.